Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 764038

Summary: dev-qt/qtgui-5.15.2-r1 fails to build with gcc11
Product: Gentoo Linux Reporter: Geoff Leach <gl>
Component: Current packagesAssignee: Qt Bug Alias <qt>
Status: RESOLVED FIXED    
Severity: normal CC: ionen
Priority: Normal Keywords: PullRequest
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://bugs.gentoo.org/show_bug.cgi?id=752012
https://github.com/gentoo/gentoo/pull/19025
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 732706    
Attachments: build.log and emerge --info.txt

Description Geoff Leach 2021-01-06 06:53:52 UTC
See bug #752012
Comment 1 Ionen Wolkens gentoo-dev 2021-01-07 18:38:05 UTC
Created attachment 681817 [details]
build.log and emerge --info.txt

I can reproduce with gcc-11.0.9999-d54be5a but I believe it's safe to say there's no need to report more of these for QT components given the issue appears generalized, especially if all there is to say is reference another bug.
Comment 2 Larry the Git Cow gentoo-dev 2021-01-24 13:03:41 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=608616191dce3dca8e059a86bd960c2ab0e44c39

commit 608616191dce3dca8e059a86bd960c2ab0e44c39
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2021-01-11 00:20:19 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2021-01-24 13:03:14 +0000

    dev-qt: Fix build for QT5_MODULE=qtbase w/ GCC-11
    
    Closes: https://bugs.gentoo.org/752012
    Closes: https://bugs.gentoo.org/764038
    Package-Manager: Portage-3.0.12, Repoman-3.0.2
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 dev-qt/qtconcurrent/Manifest                       | 1 +
 dev-qt/qtconcurrent/qtconcurrent-5.15.2.ebuild     | 4 ++++
 dev-qt/qtcore/Manifest                             | 1 +
 dev-qt/qtcore/qtcore-5.15.2-r2.ebuild              | 3 +++
 dev-qt/qtdbus/Manifest                             | 1 +
 dev-qt/qtdbus/qtdbus-5.15.2.ebuild                 | 4 ++++
 dev-qt/qtgui/Manifest                              | 1 +
 dev-qt/qtgui/qtgui-5.15.2-r1.ebuild                | 4 +++-
 dev-qt/qtnetwork/Manifest                          | 1 +
 dev-qt/qtnetwork/qtnetwork-5.15.2-r1.ebuild        | 2 ++
 dev-qt/qtopengl/Manifest                           | 1 +
 dev-qt/qtopengl/qtopengl-5.15.2.ebuild             | 4 ++++
 dev-qt/qtprintsupport/Manifest                     | 1 +
 dev-qt/qtprintsupport/qtprintsupport-5.15.2.ebuild | 4 ++++
 dev-qt/qtsql/Manifest                              | 1 +
 dev-qt/qtsql/qtsql-5.15.2.ebuild                   | 5 +++++
 dev-qt/qttest/Manifest                             | 1 +
 dev-qt/qttest/qttest-5.15.2.ebuild                 | 4 ++++
 dev-qt/qtwidgets/Manifest                          | 1 +
 dev-qt/qtwidgets/qtwidgets-5.15.2.ebuild           | 3 +++
 dev-qt/qtxml/Manifest                              | 1 +
 dev-qt/qtxml/qtxml-5.15.2.ebuild                   | 4 ++++
 22 files changed, 51 insertions(+), 1 deletion(-)